package com.zipcodewilmington.productmanager;

import java.util.Date;

/**
 * Created by leon on 1/10/18.
 */
public abstract class Product {
    private int calories;
    private Date expiration;
    private Boolean isDelicious;

    public Product(int calories, Date expiration, Boolean isDelicious) {
        this.calories = calories;
        this.expiration = expiration;
        this.isDelicious = isDelicious;
    }

    public int getCalories() {
        return calories;
    }

    public void setCalories(int calories) {
        this.calories = calories;
    }

    public Date getExpiration() {
        return expiration;
    }

    public void setExpiration(Date expiration) {
        this.expiration = expiration;
    }

    public Boolean getDelicious() {
        return isDelicious;
    }

    public void setDelicious(Boolean delicious) {
        isDelicious = delicious;
    }
}
